Subject: Calling gnu-win32 DLLs from Delphi2
From: [email-masked] (David Essex)

18 Dec 1996 11:19:12 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

I finally succeeded in calling gnu-win32 DLLs from Delphi2. I have enclosed
sample code. 
However if I try this method and try to use 2 DLLs they will not load. Both
win95 and Dephi2 will display invalid format error messages. Does anybody
have any clues as to what the problem is?  

David

---
Note: This code will work with many fuctions in a DLL.

interface
//The following external declaration imports a function called MessageBox
from the DLL called 'user32.dll'
//(part of the Windows API): function MessageBox(HWnd: Integer; Text,
Caption: PChar Flags: Integer): Integer; stdcall;
//external 'user32.dll' name 'MessageBoxA';

function charfunct(t: integer): PChar; stdcall;

implementation

function charfunct; stdcall; external 't12.dll' name 'inadll';

---

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".